Create a line
curl --request POST \
--url https://api.qminder.com/v1/locations/{id}/lines \
--header 'Content-Type: application/json' \
--header 'X-Qminder-API-Version: <x-qminder-api-version>' \
--header 'X-Qminder-REST-API-Key: <api-key>' \
--data '
{
"name": "Customer Support",
"color": "TEAL",
"translations": [
{
"languageCode": "fr",
"name": "Service client"
}
],
"appointmentSettings": {
"enabled": true,
"duration": 30
}
}
'import requests
url = "https://api.qminder.com/v1/locations/{id}/lines"
payload = {
"name": "Customer Support",
"color": "TEAL",
"translations": [
{
"languageCode": "fr",
"name": "Service client"
}
],
"appointmentSettings": {
"enabled": True,
"duration": 30
}
}
headers = {
"X-Qminder-API-Version": "<x-qminder-api-version>",
"X-Qminder-REST-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Qminder-API-Version': '<x-qminder-api-version>',
'X-Qminder-REST-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Customer Support',
color: 'TEAL',
translations: [{languageCode: 'fr', name: 'Service client'}],
appointmentSettings: {enabled: true, duration: 30}
})
};
fetch('https://api.qminder.com/v1/locations/{id}/lines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "12345"
}Lines
Create a line
Creates a new line (queue) within a location.
POST
/
v1
/
locations
/
{id}
/
lines
Create a line
Authorizations
Headers
API version. Must be set to 2020-09-01.
Available options:
2020-09-01 Path Parameters
ID of a Location
Body
application/json
Line name (max 30 characters).
Maximum string length:
30Line color.
Available options:
VIOLET, LAVENDER, MARSHMALLOW, TEAL, MINT, CORAL, YELLOW, ROSE, INDIGO, BLUE Whether the line starts disabled. Default: false.
Name translations for multi-language support.
Show child attributes
Show child attributes
Appointment configuration for this line.
Show child attributes
Show child attributes
Response
Line created successfully
The ID of the created line.
Example:
"12345"
⌘I